> ## Documentation Index
> Fetch the complete documentation index at: https://perps-api.vooi.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Swap between stablecoins on the Hyperliquid spot market



## OpenAPI

````yaml https://vooi-api-app.fly.dev/swagger/json post /exchange/hyperliquid/stablecoins-swap
openapi: 3.1.0
info:
  title: VOOI API
  description: Unified perps API
  version: '1.0'
  contact: {}
servers:
  - url: https://perps-api.vooi.io
security: []
tags: []
paths:
  /exchange/hyperliquid/stablecoins-swap:
    post:
      tags:
        - Exchange / Hyperliquid
      summary: Swap between stablecoins on the Hyperliquid spot market
      operationId: HyperliquidController_stablecoinsSwap
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/HyperliquidStablecoinsSwapBodyDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HyperliquidStablecoinsSwapResultDto'
      security:
        - bearer: []
components:
  schemas:
    HyperliquidStablecoinsSwapBodyDto:
      type: object
      properties:
        amount:
          type: string
          description: Amount of tokenIn to swap, human-readable (e.g. "10.3").
        tokenIn:
          type: string
          enum:
            - USDC
            - USDH
          description: Stablecoin to swap from.
        tokenOut:
          type: string
          enum:
            - USDC
            - USDH
          description: Stablecoin to receive.
      required:
        - amount
        - tokenIn
        - tokenOut
      title: HyperliquidStablecoinsSwapBody
    HyperliquidStablecoinsSwapResultDto:
      type: object
      properties:
        amountOut:
          type: string
          description: Amount of tokenOut received.
      required:
        - amountOut
      title: HyperliquidStablecoinsSwapResult
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.